| Home | Libraries | People | FAQ | More

###### params_ref::operator= (2 of 2 overloads)

Assignment.

###### Synopsis

    params_ref&
    operator=(
        std::initializer_list< param_view > init);

###### Description

After assignment, the previous contents of the query parameters are replaced by the contents of the initializer-list.

###### Preconditions

None of character buffers referenced by `init` may overlap the character buffer of the underlying url, or else the behavior is undefined.

###### Effects

    this->assign( init );

###### Complexity

Linear in `init.size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Parameters

Name | Description
--- | ---
`init` | The list of params to assign.